<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
if (isset($_GET['action']))
{
	$action = $_GET['action'];
	if ($action == 'santa_ticket')
	{
		$character = $_GET['character'];
		$money_type = $_GET['money_type'];
		$pass2 = $_GET['pass2'];
		if (empty($character))
		{
			echo "<font size='4' color='red'>Chưa chọn nhân vật có Item V.Point muốn đổi.</font>";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $character))
		{
			echo "<font size='4' color='red'>Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
		}
		elseif (empty($money_type) || $money_type == 'null')
		{
			echo "<font size='4' color='red'>Chưa chọn loại tiền tệ muốn nhận.</font>";
		}
		elseif (empty($pass2))
		{
			echo "<font size='4' color='red'>Chưa nhập mật khẩu Web.</font>";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
			{
				echo "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu Web chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		else {
			
			$getcontent_url = $server_url . "/event_santa.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
				'name'    =>  $_SESSION['mu_nvchon'],
				'money_type'    =>  $money_type,
                'pass2'    =>  $pass2,
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) echo "Server bảo trì.";
			elseif($reponse == "login_other") {
				echo "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					echo "<vweb>OK<vweb>$info[2]<vweb>";
					if($info[3] == 'vpoint'){
					$_SESSION['acc_vpoint'] = $info[1];
					}
				}
				else echo $reponse;
			}
		}
	}
}
?>